// Code generated by mockery v2.10.0. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	model "gitlab.com/aleksei.e.kozlov/users-api/internal/pkg/model"
)

// UserValidatorProvider is an autogenerated mock type for the UserValidatorProvider type
type UserValidatorProvider struct {
	mock.Mock
}

// Validate provides a mock function with given fields: _a0
func (_m *UserValidatorProvider) Validate(_a0 *model.User) error {
	ret := _m.Called(_a0)

	var r0 error
	if rf, ok := ret.Get(0).(func(*model.User) error); ok {
		r0 = rf(_a0)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
